import objectdraw.*;
import java.awt.*;
import java.util.Random;

/*
 * "Vanishing Scribble" extensions by CSC 252 Fall 2013 class
 *
 * Jim Teresco, The College of Saint Rose, Fall 2013
 * and a cast of almost a dozen
 *
 * $Id: ActiveScribblesF13.java 2218 2013-10-18 14:06:39Z terescoj $
 */

public class ActiveScribblesF13 extends WindowController {

    // random generator to pick line types
    private Random whichType = new Random();
    
    // the current line type: 0 through 11
    private int lineType;

    // location of last mouse position to draw scribble components
    private Location lastMouse;

    // pick a type of line (fading or falling) for this scribble
    // and remember starting point
    public void onMousePress(Location point) {

        lineType = whichType.nextInt(12);
        lastMouse = point;
    }

    // draw a segment of the appropriate type of line then update lastMouse
    public void onMouseDrag(Location point) {

        switch (lineType) {
        case 0:
            new FadingLine(lastMouse, point, canvas);
            break;
        case 1:
            new FallingLine(lastMouse, point, canvas);
            break;
        case 2:
            new RisingLine(lastMouse, point, canvas);
            break;
        case 3:
            new SlidingLine(lastMouse, point, canvas);
            break;
        case 4:
            new MovingLine(lastMouse, point, canvas);
            break;
        case 5:
            new RightLine(lastMouse, point, canvas);
            break;
        case 6:
            new MoveSideToSide(lastMouse, point, canvas);
            break;
        case 7:
            new RisingColor(lastMouse, point, canvas);
            break;
        case 8:
            new ShimmyLine(lastMouse, point, canvas);
            break;
        case 9:
            new SlowLine(lastMouse, point, canvas);
            break;
        case 10:
            new PurpleFade(lastMouse, point, canvas);
            break;
        case 11:
            new FlyingLine(lastMouse, point, canvas);
            break;
        }
        lastMouse = point;
    }
}
