import objectdraw.*;
import java.awt.*;


/*
 * This line will fly off to the right.
 *
 * @(author) Conor Smith
 */

public class FlyingLine extends ActiveObject {

    // size and speed of falling lines
    private static final double INITIAL_X_SPEED = 0.0001;
    private static final int DELAY_TIME = 33;
    private static final int INITIAL_DELAY = 100;

    // the line controlled by this instance
    private Line line;
    

    // Draw a ball and start it falling.
    public FlyingLine(Location start, Location end, DrawingCanvas aCanvas) {

        // draw the line at its initial position
        line = new Line(start, end, aCanvas);
        // activate!
        start();
    }

    // move the line repeatedly until it falls off screen
    public void run() {

        pause(INITIAL_DELAY);
       
        
            // start out with a slow fall, then accelerate
        double xSpeed = INITIAL_X_SPEED;

            while ((line.getStart().getX() <= 400) ||
            (line.getEnd().getX() <= 400)) {
                line.move(xSpeed, 0);
                xSpeed = xSpeed * 1.1;
                pause(DELAY_TIME);
            
            }
       
        line.removeFromCanvas();
    
    }   

}