import objectdraw.*;
import java.awt.*;

/*
 *This class creates a line that is originally black and then turns purple
 *before it is removed from the canvas.
 *
 *@Victoria Perras
 */

public class PurpleFade extends ActiveObject {

    // amount and speed of the fade
    private static final int COLOR_INC= 2;
    private static final int DELAY = 33;
    private static final int TIME_B4 = 1000;

    // line object
    private Line line;

    public PurpleFade(Location start, Location end, DrawingCanvas aCanvas) {

        // draw line
        line = new Line(start, end, aCanvas);

        // activate
        start();
    }

    public void run() {
        //delay before action starts
        pause(TIME_B4);

        //initialize color variables
        int blue = 0;
        int red = 0;

        while (blue < 255) {
            line.setColor(new Color(red, 0, blue));
            pause(DELAY);
            blue = COLOR_INC + blue;
            red = COLOR_INC + red;
        }
        pause(DELAY*4);
        line.removeFromCanvas();
    }
}
