// Lily K. Appleton
// Similar to RisingLine
// Addition to VanishingScribble

import objectdraw.*;
import java.awt.*;

public class RisingColor extends ActiveObject
{
    // size and speed of falling lines
    private static final double INITIAL_Y_SPEED = 0.0002;
    private static final int DELAY_TIME = 24;
    private static final int INITIAL_DELAY = 125;

    // the line controlled by this instance
    private Line line;

    // draw something and start it falling
    public RisingColor(Location start,Location end,DrawingCanvas aCanvas)
    {

        line  = new Line(start,end,aCanvas);
        
        // activate the process
        start();
    }
   
// move the line over and over until it is off the screen
    public void run()
    {
        pause(INITIAL_DELAY);
        // slow fall starts, then accelerates
        line.setColor(Color.magenta);
        double ySpeed = -INITIAL_Y_SPEED;
        while (line.getStart().getY()>=0 ||
        line.getEnd().getY()>=0)
        {
            line.move(0,ySpeed);
            ySpeed = ySpeed*1.1;
            pause(DELAY_TIME);
        }
        line.removeFromCanvas();
    }
    
}
    
