
import objectdraw.*;

/**
 * @author Scott
 */
public class ShimmyLine extends ActiveObject{
    
    // size and speed of falling lines
    private static final double INITIAL_Y_SPEED = 0.0001;
    private static final int DELAY_TIME = 33;
    private static final int INITIAL_DELAY = 100;

    // the line controlled by this instance
    private Line line;

    public ShimmyLine(Location start, Location end, DrawingCanvas aCanvas)
    {
        
        // draw the line at its initial position
        line = new Line(start, end, aCanvas);

        // activate!
        start();
    }
    
    // move the line repeatedly until it falls off screen
    public void run() {
        
        int xTrack = 0;
        int xSpeed = 2;

        pause(INITIAL_DELAY);

        // start out with a slow fall, then accelerate
        double ySpeed = -INITIAL_Y_SPEED;

        while ((line.getStart().getY() >= 0) ||
        (line.getEnd().getY() >= 0)) {
            line.move(xSpeed, ySpeed);
            ySpeed = ySpeed * 1.1;
            if(xTrack > 5)
            {
                xSpeed *= -1;
                xTrack = 0;
            }
            xTrack++;
            pause(DELAY_TIME);
        }
        line.removeFromCanvas();
    }
}
